Loading...
Searching...
No Matches
randomAccessIterator.h File Reference
`#include <BALL/common.h>`
`#include <BALL/CONCEPT/bidirectionalIterator.h>`

Go to the source code of this file.

## Classes

class | BALL::ConstRandomAccessIterator< Container, DataType, Position, Traits >
class | BALL::RandomAccessIterator< Container, DataType, Position, Traits >

## Namespaces

namespace | BALL

## Functions

Generic Constant Random Access Iterator
template<typename Container, typename DataType, typename Position, typename Traits>
ConstRandomAccessIterator< Container, DataType, Position, Traits > | BALL::operator+ (Distance distance, const ConstRandomAccessIterator< Container, DataType, Position, Traits > &iterator)